#ifndef INCOMINGTMPARSER_H
#define INCOMINGTMPARSER_H

#include <QObject>

#include <tmpackettoread.h>

class IncomingTMParser : public QObject
{
    Q_OBJECT
public:
    explicit IncomingTMParser(QObject *parent = 0);

    void processIncomingQByteArray(QByteArray incomingQByteArray);

signals:
    void sendMessage( QString );
    void sendPacket(TMPacketToRead*);

public slots:

private:
    QByteArray localDataArray;
    bool incompleteData;

};

#endif // INCOMINGTMPARSER_H
