#ifndef LFRACTIONS_H
#define LFRACTIONS_H

#include <QWidget>
#include <QGridLayout>

#include <parameterdump.h>

#include "entermode.h"

class LFRActions : public QWidget
{
    Q_OBJECT
public:
    explicit LFRActions(QWidget *parent = 0);

    QGridLayout *mainLayout;
    EnterMode *enterMode;
    ParameterDump *parameterDump;
    
signals:
    unsigned int WriteSPWSig(char *Value, unsigned int count, char targetLogicalAddress, char userApplication);
    
public slots:
    void reEmitWriteSPWSig(char *Value, unsigned int count, char targetLogicalAddress, char userApplication);

};

#endif // LFRACTIONS_H
